%global momorel 2

Name:           perl-File-ShareDir
Version:        1.00
Release:        %{momorel}m%{?dist}
Summary:        Locate per-dist and per-module shared files
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/File-ShareDir/
Source0:	http://www.cpan.org/modules/by-module/File/File-ShareDir-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.005
BuildRequires:  perl-Class-Inspector >= 1.12
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Params-Util >= 0.07
Requires:       perl-Class-Inspector >= 1.12
Requires:       perl-Params-Util >= 0.07
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The intent of File::ShareDir is to provide a companion to Class::Inspector
and File::HomeDir, modules that take a process that is well-known by
advanced Perl developers but gets a little tricky, and make it more
available to the larger Perl community.

%prep
%setup -q -n File-ShareDir-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

rm -rf %{buildroot}%{perl_vendorlib}/auto

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/File/*
%{_mandir}/man3/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.00-2m)
- rebuild against rpm-4.6

* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-1m)
- update to 1.00

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.05-2m)
- rebuild against gcc43

* Mon Nov 05 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
